/* Header */

.navbar-top {
    background: linear-gradient(180deg, rgba(0,0,0,.7) 35%, rgba(0,0,0,0) 100%);
    transition: background .25s ease-in-out, box-shadow .35s ease-in-out;
    &-open {
        background: linear-gradient(180deg, rgba(0,0,0,.9) 95%, rgba(0,0,0,0) 100%);
        .navbar-toggler-open {
            display: none;
        }
        .navbar-toggler-close {
            display: block !important;
        }
    }
    .navbar-toggler-close {
        display: none;
    }
}

.navbar-brand {
    pointer-events: auto;
    img {
        height: 40px;
    }
    svg {
        height: 40px;
        width: auto;
        fill: $color-primary;
        #typo {
            opacity: 1;
            transition: opacity .25s ease-in-out;
        }
        @media screen and (max-width: breakpoint-max(md)) {
            height: 26px;
        }
        @media screen and (min-width: breakpoint-min(md)) and (max-width: breakpoint-max(xl)) {
            height: 32px;
        }
    }
}

#header {
    &.hidden {
        .navbar-brand {
            svg {
                #typo {
                    opacity: 0;
                }
            }
        }
    }
}

.navbar-static-top {
    margin-bottom: $grid-gutter-width;
}

.nav-item {
    pointer-events: auto;
    font-family: "Krona One", sans-serif;
    text-transform: uppercase;
    opacity: 1;
    transition: opacity .25s ease-in-out;
    letter-spacing: .1rem;
    font-size: 14px;
    @include media-breakpoint-up(lg) {
        font-size: 10px;
    }
    @include media-breakpoint-up(xl) {
        font-size: 12px;
    }
    @include media-breakpoint-up(xxl) {
        padding-right: 1rem;
    }
    &--icon {
        svg {
            width: auto;
            height: 20px;
            @include media-breakpoint-up(xxl) {
                height: 26px;
            }
        }
        &-showreel {
            svg {
                height: 36px;
                width: auto;
            }
        }
    }
}


#header {
    &.hidden {
        .nav-item {
            opacity: 0,
        }
    }
    &:hover {
        .nav-item {
            opacity: 1,
        }
    }
}

.navbar-toggler {
    pointer-events: auto;
    z-index: 10000;
    svg {
        height: 36px;
        width: auto;
        fill: $color-primary;
    }
}

#header-secondary {
    display: none;
    &.home {
        display: block;
    }
    background: linear-gradient(180deg, rgba($color-secondary,0) 0%, rgba($color-secondary,1) 100%);
}

#navbar-secondary {
    background-color: $color-secondary;
}

#portfolio-categories--mobile {
    position: relative !important;
    transform: translate(0%, 0%) !important;
    bottom: 0 !important;
    padding: 2rem 2rem !important;
}